<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.3.3.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>

	<groupId>com.wyz</groupId>
	<artifactId>DeliveryTakingSystem</artifactId>
	<version>0.0.2-SNAPSHOT</version>
	<name>simpleDEMO</name>
	<description>快递代取业务</description>

	<properties>
		<java.version>1.8</java.version>
		<docker.image.prefix>springboot_wyz</docker.image.prefix>
	</properties>

	<dependencies>


		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>

		<dependency>
			<groupId>org.mybatis</groupId>
			<artifactId>mybatis</artifactId>
			<version>3.5.6</version>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
			<exclusions>
				<exclusion>
					<groupId>org.junit.vintage</groupId>
					<artifactId>junit-vintage-engine</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>

<!--			&lt;!&ndash; Docker maven plugin &ndash;&gt;-->
<!--			<plugin>-->
<!--				<groupId>com.spotify</groupId>-->
<!--				<artifactId>dockerfile-maven-plugin</artifactId>-->
<!--				<version>1.4.6</version>-->
<!--				<executions>-->
<!--					<execution>-->
<!--						<id>default</id>-->
<!--						<goals>-->
<!--							<goal>build</goal>-->
<!--							<goal>push</goal>-->
<!--						</goals>-->
<!--					</execution>-->
<!--				</executions>-->
<!--				<configuration>-->
<!--					<repository>betaberry/common</repository>-->
<!--					<tag>0.0.2</tag>-->
<!--					<buildArgs>-->
<!--						<JAR_FILE>app.jar</JAR_FILE>-->
<!--					</buildArgs>-->
<!--				</configuration>-->
<!--			</plugin>-->

		</plugins>
	</build>

</project>
